package com.app.simplitend.patientprofile.medreminder.mvvm.models;

import java.io.Serializable;
import java.util.Objects;

public class Reminder implements Serializable {

    public String dosage_name, time, quantity;

    public Reminder(){}

    public Reminder(String dosage_name, String time, String quantity) {
        this.dosage_name = dosage_name;
        this.time = time;
        this.quantity = quantity;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        Reminder reminder = (Reminder) o;
        return Objects.equals(dosage_name, reminder.dosage_name) && Objects.equals(time, reminder.time) && Objects.equals(quantity, reminder.quantity);
    }

    @Override
    public int hashCode() {
        return Objects.hash(dosage_name, time, quantity);
    }
}
